Bug 103903 - EMF import distorts propotion of image files (Landscape looks like Portrait)
Summary: EMF import distorts propotion of image files (Landscape looks like Portrait)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:emf
Depends on:
Blocks: EMF-WMF
  Show dependency treegraph
 
Reported: 2016-11-13 13:00 UTC by Joerg
Modified: 2019-03-27 03:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Affected EMF file (41.59 KB, image/x-emf)
2016-11-13 13:01 UTC, Joerg
Details
HowItLooksInLO5.2.1.2 (151.16 KB, image/png)
2016-11-13 13:02 UTC, Joerg
Details
HowItLooksInIrfanView (115.56 KB, image/png)
2016-11-13 13:03 UTC, Joerg
Details
LO5.2.1.2_Writer_file_with_the_image_embedded (15.74 KB, application/vnd.oasis.opendocument.text)
2016-11-13 13:05 UTC, Joerg
Details
ScreenshotOfTheDistortedImageInLO_DEV_Version 6.0.0.0.alpha1_withNewEMF_implementation.PNG (117.45 KB, image/png)
2017-11-15 21:02 UTC, Joerg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Joerg 2016-11-13 13:00:05 UTC
Description:
Attached is an EMF Metafile which is shown with it's correct (Landscape) porportions in third party tools like MS Windows Paint or the free IrfanView.

If I open this file with LibreOffice Draw or embedd it in Writer using Insert->Image->FromFile the image has completley different porportions and looks ugly therefore.

Steps to Reproduce:
Just open the attached EMF file Landscape.emf in LibreOffice draw and compare it with the expected image proportins of the attached IrfanView screenshot.

Actual Results:  
Image size 8.89 x 13.59 cm (Portrait)

Expected Results:
Image size 21.1 x 15.3 cm (Landscape) or proportional to this ratio


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Joerg 2016-11-13 13:01:35 UTC
Created attachment 128716 [details]
Affected EMF file
Comment 2 Joerg 2016-11-13 13:02:33 UTC
Created attachment 128717 [details]
HowItLooksInLO5.2.1.2
Comment 3 Joerg 2016-11-13 13:03:09 UTC
Created attachment 128718 [details]
HowItLooksInIrfanView
Comment 4 Joerg 2016-11-13 13:05:11 UTC
Created attachment 128719 [details]
LO5.2.1.2_Writer_file_with_the_image_embedded
Comment 5 Aron Budea 2016-11-14 06:12:24 UTC
Confirmed with as early as v3.3.0 / Windows 7.
Comment 6 QA Administrators 2017-11-15 09:15:30 UTC Comment hidden (obsolete)
Comment 7 Joerg 2017-11-15 21:02:26 UTC
Created attachment 137793 [details]
ScreenshotOfTheDistortedImageInLO_DEV_Version 6.0.0.0.alpha1_withNewEMF_implementation.PNG

This problem still occurs in the LO 6.0 nightly builds with the new EMF implementation! See the attached screenshot!
Comment 8 johan 2018-03-25 15:29:55 UTC
bug 116335 - part 4) may be related to this.
Comment 9 QA Administrators 2019-03-27 03:40:36 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug